## API Connect Assembly

This repository is jointly owned by API Connect and App Connect. Primary contacts for technical questions about this code are:

* Sanchit Chadha (API Connect)
* Steve Linn (API Connect)
* Rich Scheuerle (API Connect)
* Chris Bygrave (API Connect)
* Matt Clarke (App Connect)
* Ashley Harrison (App Connect)

### Getting Started

To get up and running with a sample assembly:

```shell
npm start
```

This will install, build, and then run a demo application in a browser window.


### Configuration

Configuration is passed to the assembler by an attribute on the element:

```html
<apim-assembler data-assembler-options='{
  "policies" : "ApimPolicyFactory",
  "source"   : "swaggerDocument"
}'></apim-assembler>
```

The assembler options are detailed below:

| Option | Definition |
| --- | --- |
| `policies` (required) | A factory defining the content of the policy palette. This takes the form of an object with two functions: `getPolicies()` returns a promise that resolves to the set of policies to be displayed in the palette, `getPolicyPartial(policyName)` returns a string pointing to the address of the HTML snippet to use for rendering the given named policy. |
| `source` (required) | The source document into which the assembly will be written. |
| `property` (optional) | The property within the the source document into which the assembly will be written. Defaults to `'x-ibm-configuration'`. |
| `schema` (optional) | The schema of the source document - *not currently used*. |
| `test` (optional) | Show or hide the API Connect test tool. Defaults to `false`. |
| `gateways` (optional) | Show or hide the API Connect gateway filter. Defaults to `false`. |
| `flyout` (optional) | Determines the default location of the property flyout. Supported values are `'right'` and `'bottom'`. Default is `'right'`. |
| `versioning` (optional) | Include an explicit `version` property on each policy instance. Default is `false`. |
