/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2016, 2020
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
// Node module: apiconnect-assembly

'use strict';

var gulp = require('gulp');
var webpack = require('gulp-webpack');

gulp.task('webpack', ['templates'], function() {
  return gulp.src([
    'src/js/assembly/AssemblerController.js',
    'src/js/assembly/AssemblerDirectives.js',
    'src/js/assembly/AssemblerFilters.js',
    'src/js/assembly/AssemblerInfoController.js',
    'src/js/assembly/AssemblerTestController.js',
    'src/js/assembly/AssemblyServices.js',
    'src/js/assembly/SchemaServices.js',
    'src/js/assembly/MapperController.js',
    'src/js/assembly/ConditionController.js',
    'src/js/assembly/ExpressionServices.js',
    'src/js/assembly/PolicyFactory.js',
    'src/js/assembly/RecursionHelper.js',
    'src/js/filters/TranslateFilters.js',
    'src/js/mapper-schema/json-schema-view.js',
  	'.tmp/apiconnect-assembly-templates.js'
  	])
    .pipe(webpack({
    	output: {
    		filename: 'apiconnect-assembly.js'
    	}
    }))
    .pipe(gulp.dest('dist/'));
});

