/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2016, 2020
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
// Node module: apiconnect-assembly

'use strict';

angular.module('apiconnect-assembly').filter('translateMultiple', ['translateFilter', function(translateFilter) {
  return function (property, values) {
    return translateFilter(property, values);
  };
}]);

angular.module('apiconnect-assembly').filter('translatePlurality', ['translateFilter', function(translateFilter) {
  return function (value, property, substituteVar) {
    var substitutions = {};
    if (!substituteVar) {
      substituteVar = "0";
    }
    substitutions[substituteVar] = value;
    if (value === 1) {
      return translateFilter(property + "Singular", substitutions);
    } else {
      return translateFilter(property + "Plural", substitutions);
    }
  };
}]);

